import { SYSTEM } from "../config/system.mjs";

export default class HellbornTarot extends foundry.abstract.TypeDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    const schema = {};

    schema.quote = new fields.StringField({ required: true, nullable: false, initial: "" });
    schema.bonus = new fields.StringField({ required: true, nullable: false, initial: "" });
    schema.penalty = new fields.StringField({ required: true, nullable: false, initial: "" });

    schema.orientation = new fields.StringField({ required: true, initial: "Upright", choices: {"Upright": {label: "Upright"}, "Downright": {label: "Downright"}} });
    schema.description = new fields.HTMLField({ required: true, textSearch: true })
    schema.positiveEffect = new fields.HTMLField({ required: true, textSearch: true })
    schema.negativeEffect = new fields.HTMLField({ required: true, textSearch: true })
    schema.image = new fields.FilePathField({
                required: false,
                categories: ["IMAGE"],
                default: "icons/svg/treasure.svg",
            })

    return schema;
  }

  /** @override */
  static LOCALIZATION_PREFIXES = ["HELLBORN.Tarot"];
}